
Redmine - Defect #24052

Unable to select columns in Administration, Settings, Issue Tracking, Default columns displayed on

the issue list

2016-10-11 22:04 - Eric Ross

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

I recently installed 3.3.0.stable on Centos 7 on Amazon EC2.  Everything seems to work except for 2 issues - selecting the default

columns and importing.  Initially, some columns were showing under "Selected columns".  All could be removed except for "Priority". 

Now no columns can be added.

There are no errors in the Apache logs or production.log.  Clicking on the arrows in the Issue Tracking screen does not trigger any

logging either in production.log.

Redmine 3.3.0.stable - checked

Default administrator account changed - checked

Attachments directory writable  - checked

Plugin assets directory writable (./public/plugin_assets) - checked

RMagick available (optional) - checked

ImageMagick convert available (optional) - checked

Here are the version numbers:

Database: MariaDB-server-10.1.18-1.el7

Environment:

Redmine version                3.3.0.stable

Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux]

Rails version                  4.2.6

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.8.3.1

Filesystem

Redmine plugins:

redhopper                      1.0.4

History

#1 - 2016-10-12 06:01 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on vanilla Redmine 3.3.1.

Try without plugin.

#2 - 2016-10-12 14:50 - Eric Ross

Sorry, I forgot to mention that the problem occurred before adding the plugin.  I just removed the plugin anyway, but the problem still occurs.

#3 - 2016-10-13 06:28 - Toshi MARUYAMA

No idea. Redmine does not support MariaDB.

#4 - 2016-10-14 02:16 - Eric Ross

I upgraded to 3.3.1 and replaced MariaDB with MySQL (mysql-community-server-5.6.34-2.el7.x86_64), but have the exact same problem.  I've had to

install most things like Ruby, gems, and bundle as root.  It warns against running as root, but it doesn't seem to work any other way.  Could that be

the cause of the issue?  It's been difficult to find documentation that works correctly.
#5 - 2016-10-17 19:35 - Eric Ross

All plugins have been removed.

Using Passenger 5.0.30

#6 - 2016-10-17 19:59 - Eric Ross

I was using the following Apache setting recommended by some security sites.  This causes the above issue.

Header always set Content-Security-Policy "default-src 'self'; script-src 'self' 'unsafe-eval'; style-src 'self' 'unsafe-inline'; frame-src *; img-src *; font-src

'self' data:; media-src *; connect-src *"

#7 - 2016-10-18 05:29 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
